Skip to content

异步安装指定版本的 JDK

提交 JDK 安装任务到后台队列,异步执行。通过消息盒子查看安装进度。

GET
https://your-panel.example.com:8888/mod/java/project/install_jdk_new/stype
查看 Markdown

Query parameters

  • request_timestringrequired

    Unix 时间戳。

  • request_tokenstringrequired

    按 API 概览中的双重 MD5 签名算法生成。

  • versionstringrequired

    JDK 版本名,如 jdk1.8.0_371、jdk-11.0.19(通过 get_system_info 获取可用版本)

Returns

default

接口响应,业务状态见下方详细说明。

JSON
  • statusoptionalboolean

    true 已加入安装队列

  • msgoptionalstring

    已添加到安装任务,请在消息盒子中查看安装情况

各操作详细说明

install_jdk_new异步安装指定版本的 JDK

提交 JDK 安装任务到后台队列,异步执行。通过消息盒子查看安装进度。

  • 路由:GET /mod/java/project/install_jdk_new/stype
  • 方法:GET

输入参数

参数名称 必选 类型 描述
version 是 String JDK 版本名,如 jdk1.8.0_371、jdk-11.0.19(通过 get_system_info 获取可用版本)

输出参数

参数名称 类型 描述
status Boolean true 已加入安装队列
msg String 已添加到安装任务,请在消息盒子中查看安装情况

示例

请求

GET /mod/java/project/install_jdk_new/stype?request_time=xxx&request_token=xxx&version=jdk1.8.0_371

响应

{"status": true, "msg": "已添加到安装任务,请在消息盒子中查看安装情况"}

相关接口

Navigation

Type to search…

↑↓ navigate↵ selectEsc close